#80 closed enhancement (fixed)

tm27 and nested interrupts (SPARC)

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: unspecified Version: 4.5
Severity: minor Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

TM27 times interrupts including forcing a nested interrupt.
This test does not run on the SPARC since a patch from
Jiri redoing the handling of the PIL. The SPARC ERC32
and LEON can not properly nest interrupts in HW
as expected by the construction of tm27.

Release:
RTEMS-4.5 and Trunk

Environment:
SPARC but impact is general

Attachments (1)

sparc_tm27-patch.tgz (2.5 KB) - added by Joel Sherrill on Dec 3, 2006 at 1:31:12 PM.
sparc_tm27-patch.tgz

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Nov 8, 2001 at 1:17:50 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: analyzed->closed
State-Changed-Why: Jiri submitted a patch for the CVS trunk which fixed this

in a way that did not impact any other BSP. I (joel)
modified the patch so that it would apply to 4.5 as well.
The attached tar file includes both patches. They have been
tested on the ERC32 BSP and committed.

Changed on Dec 3, 2006 at 1:31:12 PM by Joel Sherrill

Attachment: sparc_tm27-patch.tgz added

sparc_tm27-patch.tgz

comment:2 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.